Bug 237647 - kernel hangs with list_del corruption
kernel hangs with list_del corruption
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Kernel Manager
Martin Jenner
http://rhts.lab.boston.redhat.com/cgi...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-24 10:15 EDT by Michal Schmidt
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-28 12:34:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Schmidt 2007-04-24 10:15:11 EDT
An RHTS machine ibm-ls21-7972-01.lab.boston.redhat.com hung shortly after
finishing RHEL-5 installation:

04/23/07 19:03:07  JobID:19272 Test:/distribution/reservesys
04/23/07 19:03:08  testID:352449 start_time:
Sending rpm info to armstrong.rhts.boston.redhat.com
Collecting rpm package.info for..
 rh-tests-distribution-reservesys
resp = client.results.recipeTestRpms(test_id, pkg_list)
/mnt/tests/distribution/reservesys /
04/23/07 19:03:10  JobID:19272 Test:/distribution/reservesys
/etc/rc3.d/S99rhts: line 16:  2533 Terminated              /mnt/tests/runtests.sh
Starting smartd: [  OK  ]
list_del corruption. next->prev should be ffff81012ee00000, but was 0000000000000000
----------- [cut here ] --------- [please bite here ] ---------
Kernel BUG at lib/list_debug.c:70
invalid opcode: 0000 [1] SMP 
last sysfs file:
/devices/pci0000:00/0000:00:06.0/0000:03:04.0/host0/port-0:0/end_device-0:0/target0:0:0/0:0:0:0/vendor
CPU 1 
Modules linked in: autofs4 hidp rfcomm l2cap bluetooth sunrpc ipv6 video sbs
i2c_ec i2c_core button battery asus_acpi acpi_memhotplug ac parport_pc lp
parport sg serio_raw shpchp k8_edac bnx2 edac_mc pcspkr dm_snapshot dm_zero
dm_mirror dm_mod mptsas mptscsih mptbase scsi_transport_sas sd_mod scsi_mod ext3
jbd ehci_hcd ohci_hcd uhci_hcd


See the URL for the complete log file from RHTS.

No idea if it's reproducible.
Comment 1 Michal Schmidt 2007-05-28 12:34:06 EDT
The problem couldn't be reproduced and URL doesn't work anymore.

Note You need to log in before you can comment on or make changes to this bug.